package com.zehong.system.service.impl.debitCredit;

import com.zehong.system.domain.TDebitCredit;

/**
 * @author geng
 * 借贷抽象类
 */
public abstract class DebitCreditRolesAbstract implements DebitCreditRoles{

    /**
     * 借贷实体
     */
    protected TDebitCredit tDebitCredit;

    /**
     * 借贷状态枚举类
     */
    protected enum DebitCreditEnum{
        confirm("0"),approval("1"), stayRepay("2"),complete("3"),reject("4");

        private String debitCreditStatus;

        DebitCreditEnum(String debitCreditStatus) {
            this.debitCreditStatus = debitCreditStatus;
        }

        public String getDebitCreditStatus() {
            return debitCreditStatus;
        }
    }

    public DebitCreditRolesAbstract(TDebitCredit tDebitCredit) {
        this.tDebitCredit = tDebitCredit;
    }
}
